import { OnInit } from "@angular/core";
import { NavController, LoadingController, ActionSheetController } from "ionic-angular";
import { Observable } from "rxjs";
import { FileBrowserAlertComponent } from "../file-browser-alert/file-browser-alert.component";
import { FileBrowser } from "../../services/file-browser.service";
export declare class FileBrowserContainerCoreComponent implements OnInit {
    navCtrl: NavController;
    loadingCtrl: LoadingController;
    actionSheetCtrl: ActionSheetController;
    fileBrowser: FileBrowser;
    alertComponent: FileBrowserAlertComponent;
    sidebar$: Observable<Boolean>;
    constructor(navCtrl: NavController, loadingCtrl: LoadingController, actionSheetCtrl: ActionSheetController, fileBrowser: FileBrowser, alertComponent: FileBrowserAlertComponent);
    ngOnInit(): void;
    presentLoading(): void;
    presentAlert(type: any, node: any): void;
    presentDeleteAlert(type: any, node: any): void;
}
