import { OnInit } from "@angular/core";
import { Observable } from "rxjs";
import { Store } from "@ngxs/store";
import { Entity } from "../../states/file-browser.model";
import { FileBrowserActionSheetMobileComponent } from "../file-browser-action-sheet/file-browser-action-sheet-mobile.component";
import { FileBrowser } from "../../services/file-browser.service";
export declare class FileBrowserListMobileComponent implements OnInit {
    store: Store;
    fileBrowser: FileBrowser;
    fileBrowserActionSheet: FileBrowserActionSheetMobileComponent;
    nodes$: Observable<Entity>;
    constructor(store: Store, fileBrowser: FileBrowser, fileBrowserActionSheet: FileBrowserActionSheetMobileComponent);
    ngOnInit(): void;
    showNode(node: any): void;
    showActionSheet(node: any): void;
}
