import { OnInit } from "@angular/core";
import { Store } from "@ngxs/store";
import { Observable } from "rxjs";
import { Entity } from "../../states/file-browser.model";
import { FileBrowserActionSheetComponent } from "../file-browser-action-sheet/file-browser-action-sheet.component";
import { FileBrowser } from "../../services/file-browser.service";
export declare class FileBrowserListComponent implements OnInit {
    store: Store;
    fileBrowser: FileBrowser;
    fileBrowserActionSheet: FileBrowserActionSheetComponent;
    nodes$: Observable<Entity>;
    constructor(store: Store, fileBrowser: FileBrowser, fileBrowserActionSheet: FileBrowserActionSheetComponent);
    ngOnInit(): void;
    showNode(node: any): void;
    showActionSheet(node: any): void;
    selectNode(node: any, event: any): void;
    unselectNodes(): void;
    openNode(node: any): void;
}
